﻿#PasswordStrength {
    position: absolute;
    right: 6px;
    top: 2px;
    font-size: .85714em;
}

table.PasswordStrengthWrapper {
    margin: 0;
}

table.PasswordStrengthWrapper tbody tr td {
    margin: 0 !important;
    padding: 0 !important;
}

div.PasswordStrengthFrame,
div.PasswordStrengthScore,
div.PasswordStrengthVeryWeak,
div.PasswordStrengthWeak,
div.PasswordStrengthGood,
div.PasswordStrengthStrong,
div.PasswordStrengthVeryStrong {
    height: 15px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

div.PasswordStrengthFrame {
    height: 20px;
}

div.PasswordStrengthScore,
div.PasswordStrengthVeryWeak,
div.PasswordStrengthWeak,
div.PasswordStrengthGood,
div.PasswordStrengthStrong,
div.PasswordStrengthVeryStrong {
    height: 18px;
}

div.PasswordStrengthScore {
    text-align: center;
    width: 100%;
    z-index: 2;
}

div.PasswordStrengthVeryWeak {
    background-color: #d9534f;
}

div.PasswordStrengthWeak {
    background-color: #f0ad4e;
}

div.PasswordStrengthGood,
div.PasswordStrengthStrong,
div.PasswordStrengthVeryStrong {
    background-color: #d6e9c6;
}

div.PasswordStrengthContainer {
    float: left;
    margin-top: 2px;
}

div.PasswordStrengthContainer,
div.PasswordStrengthFrame {
    width: 120px;
}

div.PasswordStrengthFrame {
    border-left: 1px #999999 solid;
    border-top: 1px #999999 solid;
    border-right: 1px #999999 solid;
    border-bottom: 1px #999999 solid;
    position: relative;
}

td.PasswordStrengthText {
    text-align: center;
    padding-top: 0 !important;
    padding-bottom: 2px !important;
    padding-right: 0 !important;
    padding-left: 0 !important;
}

#PasswordStrength {
    display: inline-block;
}